org.apache.hc.client5.http.impl.io

## Class DefaultHttpClientConnectionOperator

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.DefaultHttpClientConnectionOperator

- All Implemented Interfaces:
    HttpClientConnectionOperator

      @Internal
      @Contract(threading=STATELESS)
      public class DefaultHttpClientConnectionOperator
      extends Object
      implements HttpClientConnectionOperator

  Default implementation of `HttpClientConnectionOperator` used as default in Http client, when no instance provided by user to `BasicHttpClientConnectionManager` or `PoolingHttpClientConnectionManager` constructor.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpClientConnectionOperator(org.apache.hc.core5.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry, SchemePortResolver schemePortResolver, DnsResolver dnsResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, InetSocketAddress localAddress, org.apache.hc.core5.util.TimeValue connectTimeout, org.apache.hc.core5.http.io.SocketConfig socketConfig, org.apache.hc.core5.http.protocol.HttpContext context)` Connect the given managed connection to the remote endpoint.
    `void` | `upgrade(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, org.apache.hc.core5.http.protocol.HttpContext context)` Upgrades transport security of the given managed connection by using the TLS security protocol.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpClientConnectionOperator

          public DefaultHttpClientConnectionOperator(org.apache.hc.core5.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry,
                                             SchemePortResolver schemePortResolver,
                                             DnsResolver dnsResolver)

  - ### Method Detail

    - #### connect

          public void connect(ManagedHttpClientConnection conn,
                     org.apache.hc.core5.http.HttpHost host,
                     InetSocketAddress localAddress,
                     org.apache.hc.core5.util.TimeValue connectTimeout,
                     org.apache.hc.core5.http.io.SocketConfig socketConfig,
                     org.apache.hc.core5.http.protocol.HttpContext context)
                       throws IOException

      Description copied from interface: `HttpClientConnectionOperator`
      Connect the given managed connection to the remote endpoint.
      Specified by:
        `connect` in interface `HttpClientConnectionOperator`
      Parameters:
        `conn` - the managed connection.
        `host` - the address of the opposite endpoint.
        `localAddress` - the address of the local endpoint.
        `connectTimeout` - the timeout of the connect operation.
        `socketConfig` - the socket configuration.
        `context` - the execution context.
      Throws:
        `IOException`

    - #### upgrade

          public void upgrade(ManagedHttpClientConnection conn,
                     org.apache.hc.core5.http.HttpHost host,
                     org.apache.hc.core5.http.protocol.HttpContext context)
                       throws IOException

      Description copied from interface: `HttpClientConnectionOperator`
      Upgrades transport security of the given managed connection by using the TLS security protocol.
      Specified by:
        `upgrade` in interface `HttpClientConnectionOperator`
      Parameters:
        `conn` - the managed connection.
        `host` - the address of the opposite endpoint with TLS security.
        `context` - the execution context.
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.